Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.simtoolsgui
Class MultiVarProbeDisplayCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.simtoolsgui.MultiVarProbeDisplayCImpl

public class MultiVarProbeDisplayCImpl
extends PhaseCImpl
implements CommonProbeDisplayC, CommonProbeDisplayS, MultiVarProbeDisplayS, MultiVarProbeDisplayC

A display for displaying a ProbeMap across a number of objects.. This ProbeDisplay extracts all the variable probes from a probe map and creates a variable probe entry for each object in the list provided by the user.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`MultiVarProbeDisplayCImpl()`
`MultiVarProbeDisplayCImpl(MultiVarProbeDisplay nextPhase)`

Methods implemented by this class for interface swarm.simtoolsgui.MultiVarProbeDisplayC
`setObjectList, setObjectNameSelector, setProbeMap`

Methods implemented by this class for interface swarm.simtoolsgui.WindowGeometryRecordNameC
`setSaveSizeFlag, setWindowGeometryRecordName`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiVarProbeDisplayCImpl

    public MultiVarProbeDisplayCImpl(MultiVarProbeDisplay nextPhase)

### MultiVarProbeDisplayCImpl

    public MultiVarProbeDisplayCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD